

get_arch () {
	local arch
	arch=$(uname -m)
	[[ ! $arch ]] && return 1
	case $arch in 
		x86_64)  binArch='amd64' ;; 
		armhf)   binArch='armv6' ;; 
		armv7)   binArch='armv7' ;; 
		aarch64) binArch='arm64' ;; 
		ppc64el|ppc64le) binArch='ppc64le' ;; 
		s390x)   binArch='s390x' ;; 
		.*386.*) binArch='amd32' ;;
		*) return 2 ;;\
	esac; 
    echo $binArch
}

(return 0 2>/dev/null) || get_arch 


